# some NT Win32 nmake macros
# for now this resides in samples\inc

!include <ntwin32.mak>

cvars=-DNT -DWIN -DWIN32

# This line allows NMAKE to work as well

all: mltithrd.exe

# Update the object file if necessary

mltithrd.obj: mltithrd.c mltithrd.h
    $(cc) $(cflags) $(cvars) mltithrd.c
    cvtomf mltithrd.obj

# Update the resources if necessary

res.res: res.rc mltithrd.h
    rc -r -fo mltithrd.tmp res.rc
    cvtres -i386 mltithrd.tmp -o res.res
    del mltithrd.tmp

# Update the executable file if necessary, and if so, add the resource back in.

mltithrd.exe: mltithrd.obj \
	     res.res
    $(link) $(guiflags) -out:mltithrd.exe	 \
    mltithrd.obj \
    res.res $(guilibs)
